Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class ServletProviderRequest

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.ServletProviderRequest

public class ServletProviderRequest
extends java.lang.Object
implements PortletExecutionTracker, PerformanceLoggerAccessor

Constructor Summary
`ServletProviderRequest(javax.servlet.ServletConfig sc, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Constructs `ServletProviderRequest`.
`ServletProviderRequest(javax.servlet.ServletConfig sc, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, long startTime)` This version of the constructor includes the time at which the incoming request started being processed.
`ServletProviderRequest(javax.servlet.ServletConfig sc, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, long startTime, PerformanceLogger logger)` This version of the constructor includes the a performance logger object which may be used to record performance stats.

Method Summary
`DeviceInfo` | `getDeviceInfo()`
`PerformanceLogger` | `getPerformanceLogger()` Returns the performance logger object for this request
`PortalConfig` | `getPortalConfig()`
`long` | `getPortletKillTimeout()` Returns the maximum time that a portlet may take to execute, after which it should be forcefully terminated.
`long` | `getPortletStartTime()` Returns the time at which the request started.
`long` | `getPortletTimeout()` Returns the maximum time that the portlet should take to be rendered.
`boolean` | `hasPortletKillTimeoutElapsed()` Indicates whether this request has exceeded its 'kill time', i.e, the time after which the thread should be forcefully stopped.
`boolean` | `hasPortletTimeoutElapsed()` Indicates whether this request has exceeded an execution timeout.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletProviderRequest

    public ServletProviderRequest(javax.servlet.ServletConfig sc,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Constructs `ServletProviderRequest`.
  Parameters:
    `sc` - configuration object from which initialisation parameters are extracted
    `request` - incoming request object from which the request parameters extracted
    `response` - the response object to which content will be written

### ServletProviderRequest

    public ServletProviderRequest(javax.servlet.ServletConfig sc,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response,
                                  long startTime)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  This version of the constructor includes the time at which the incoming request started being processed.
  Parameters:
    `sc` - configuration object from which initialisation parameters are extracted
    `request` - incoming request object from which the request parameters are extracted
    `response` - the response object to which content will be written
    `startTime` - time at which the incoming request started being processed.

### ServletProviderRequest

    public ServletProviderRequest(javax.servlet.ServletConfig sc,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response,
                                  long startTime,
                                  PerformanceLogger logger)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  This version of the constructor includes the a performance logger object which may be used to record performance stats.
  Parameters:
    `sc` - configuration object from which initialisation parameters are extracted
    `request` - incoming request object from which the request parameters are extracted
    `response` - the response object to which content will be written
    `startTime` - time at which the incoming request started being processed.

Method Detail

### getPortletStartTime

    public long getPortletStartTime()

  Returns the time at which the request started. Time is defined in number of milliseconds since January 1, 1970 UTC. return start time of the request
  Specified by:
    getPortletStartTime in interface PortletExecutionTracker

### getPortletTimeout

    public long getPortletTimeout()

  Returns the maximum time that the portlet should take to be rendered.
  Specified by:
    getPortletTimeout in interface PortletExecutionTracker
  Returns:
    the portlet timeout in milliseconds

### hasPortletTimeoutElapsed

    public boolean hasPortletTimeoutElapsed()

  Indicates whether this request has exceeded an execution timeout. The execution timeout is picked up from an initialisation argument or from a system default (in that order of preference.
  Specified by:
    hasPortletTimeoutElapsed in interface PortletExecutionTracker
  Returns:
    true if the portlet has timed out, false otherwise

### getPortletKillTimeout

    public long getPortletKillTimeout()

  Returns the maximum time that a portlet may take to execute, after which it should be forcefully terminated.
  Specified by:
    getPortletKillTimeout in interface PortletExecutionTracker
  Returns:
    the portlet maximum execution time in milliseconds

### hasPortletKillTimeoutElapsed

    public boolean hasPortletKillTimeoutElapsed()

  Indicates whether this request has exceeded its 'kill time', i.e, the time after which the thread should be forcefully stopped.
  Specified by:
    hasPortletKillTimeoutElapsed in interface PortletExecutionTracker
  Returns:
    true if the kill time has been exceeded, false otherwise.

### getPerformanceLogger

    public PerformanceLogger getPerformanceLogger()

  Returns the performance logger object for this request
  Specified by:
    getPerformanceLogger in interface PerformanceLoggerAccessor
  Returns:
    a reference to the `PerformanceLogger` for this request.

### getDeviceInfo

    public DeviceInfo getDeviceInfo()

  Returns:
    the device information for this request.

### getPortalConfig

    public PortalConfig getPortalConfig()

  Returns:
    an object containing information pertinent to the portlet about how the portal is currently configured. Currently, only a single state is defined: mobileEnabled. Portlets may use this information to add customization fields to its screens or help information that pertain to mobile.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD